For old posts/forum, please go here : https://sourceforge.net/p/soplanning/discussion/
Pour l'ancien forum, accédez à cette page : https://sourceforge.net/p/soplanning/discussion/

Can't update 1.45.00 to 1.46.01

Post Reply
Ralf
Posts: 39
Joined: Sun Sep 23, 2018 6:13 pm

Can't update 1.45.00 to 1.46.01

Post by Ralf » Mon Mar 23, 2020 10:17 am

Copied new 1.46.01 files on existing 1.45.00 version and Login screen shows:

Upgrading to version 1.46.00
Failed to upgrade database, please contact support@soplanning.org with full details.
upgrade failed :
1.46.00
request failed :
ALTER TABLE `planning_user` ADD `date_creation` DATETIME NOT NULL AFTER `login_actif`

:(

soplanning
Site Admin
Posts: 222
Joined: Thu Aug 31, 2017 3:58 pm

Re: Can't update 1.45.00 to 1.46.01

Post by soplanning » Mon Mar 23, 2020 10:23 am

Hello
Can you run manually this query in phpmyadmin and let us know what is the error ?
it seems some users have the same problem, depending on their server settings.
thanks

Ralf
Posts: 39
Joined: Sun Sep 23, 2018 6:13 pm

Re: Can't update 1.45.00 to 1.46.01

Post by Ralf » Mon Mar 23, 2020 11:19 am

ALTER TABLE `planning_user` ADD `date_creation` DATETIME NOT NULL AFTER `login_actif`

MySQL meldet:
#1292 - Falscher datetime-Wert: '0000-00-00 00:00:00' für Feld 'date_creation' in Zeile 1

soplanning
Site Admin
Posts: 222
Joined: Thu Aug 31, 2017 3:58 pm

Re: Can't update 1.45.00 to 1.46.01

Post by soplanning » Mon Mar 23, 2020 11:39 am

can you try this please :
ALTER TABLE `planning_user` ADD `date_creation` DATETIME NOT NULL DEFAULT CURRENT_TIMESTAMP AFTER `login_actif`;
and run the rest of the sql file

Ralf
Posts: 39
Joined: Sun Sep 23, 2018 6:13 pm

Re: Can't update 1.45.00 to 1.46.01

Post by Ralf » Mon Mar 23, 2020 12:48 pm

Upgrading to version 1.46.00
Database upgrade ok for version 1.46.00
Upgrading to version 1.46.01
Database upgrade ok for version 1.46.01
:D
Merci beaucoup
Great job
Stay healthy

Post Reply